Skip to main content
GET
/
waap
/
v1
/
statistics
/
series
Get statistics as time series
curl --request GET \
  --url https://api.gcore.com/waap/v1/statistics/series \
  --header 'Authorization: <api-key>'
{
  "total_bytes": [
    {
      "date_time": "2023-11-07T05:31:56Z",
      "value": 123
    }
  ],
  "total_requests": [
    {
      "date_time": "2023-11-07T05:31:56Z",
      "value": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

from
string<date-time>
required

Beginning of the requested time period (ISO 8601 format, UTC)

Example:

"2024-12-14T12:00:00Z"

to
string<date-time>
required

End of the requested time period (ISO 8601 format, UTC)

Example:

"2024-12-14T12:00:00Z"

granularity
enum<string>
required

Duration of the time blocks into which the data will be divided.

Available options:
1h,
1d
metrics
enum<string>[]
required

List of metric types to retrieve statistics for.

Available options:
total_bytes,
total_requests

Response

Successful Response

Response model for the statistics series

total_bytes
StatisticItem · object[] | null

Will be returned if total_bytes is requested in the metrics parameter

total_requests
StatisticItem · object[] | null

Will be included if total_requests is requested in the metrics parameter